package socketSSM;

import net.java.dev.jssm.MulticastSSM;

public class MulticastSocket {
	public static void main(String[] args) {
		System.out.println("DELKA: ");
		MulticastSSM multicastRTCPSocket = new MulticastSSM(1000);
		multicastRTCPSocket.join("147.229.146.241", "232.10.10.10");
		
		multicastRTCPSocket.setSoTimeout(500);
		
		byte[] buffer = new byte[1000];
		int len = multicastRTCPSocket.receive(buffer);
		System.out.println("DELKA: "+len);
		
		//multicastRTCPSocket.leave("147.229.146.241", "232.10.10.10");
		multicastRTCPSocket.close();
	}
}
